<mat-grid-list class="login-bg" cols="4" rowHeight="100vh">
  <mat-grid-tile [colspan]="4">
    <mat-card>
      <mat-card-content>
          <div align="center" class="py-4">
            <img src="../../../assets/img/logo-omno-ai.png" width="150px;">
          </div>
        <mat-card-title class="mt-2">Forgotten Password</mat-card-title>
        <p>Please enter the email address that is registered to your account.</p>
        <form class="example-form" [formGroup]="form">
          <table class="full-width" cellspacing="0">
            <tr>
              <td>
                <mat-form-field appearance="outline" class="w-100">
                  <mat-label>Email</mat-label>
                  <input matInput placeholder="Email" formControlName="username" type="email" name="username" required>
                  <mat-icon matSuffix>mail</mat-icon>
                  <mat-error *ngIf="form.get('username').hasError('required')">Email is required.</mat-error>
                  <mat-error *ngIf="form.get('username').hasError('pattern')">Enter a valid email.</mat-error>
                </mat-form-field>
              </td>
            </tr>
          </table>
        </form>
        <div style="padding: 10px 0px;" *ngIf="showLoader">
          <mat-progress-bar mode="indeterminate"></mat-progress-bar>
        </div>
        <div style="padding: 10px 0px;" *ngIf="showError">
          <p style="margin: 0px; color:darkred;">{{errorMessage}}</p>
        </div>
        <div style="padding: 10px 0px;" *ngIf="showSuccess">
          <p style="margin: 0px; color:green;">{{successMessage}}</p>
        </div>
      </mat-card-content>
      <mat-card-footer style="margin:0px;">
        <div style="padding:16px 0px;">
          <button mat-button routerLink="/login" color="secondary">Go back to Sign in</button>
          <button mat-raised-button (click)="recover()" class="btn-black" style="float:right;" color="primary" [disabled]="form.status == 'INVALID'">Recover</button>
        </div>
      </mat-card-footer>
    </mat-card>
  </mat-grid-tile>
</mat-grid-list>